[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-wallet-core] 01/02: ci: add script for running CI locally
From: |
gnunet |
Subject: |
[taler-wallet-core] 01/02: ci: add script for running CI locally |
Date: |
Mon, 11 Sep 2023 18:27:16 +0200 |
This is an automated email from the git hooks/post-receive script.
devan-carpenter pushed a commit to branch master
in repository wallet-core.
commit d118ffb88b393f0ab2c2d534486d5651186fcd92
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Mon Sep 11 11:09:48 2023 -0400
ci: add script for running CI locally
---
ci/ci.sh | 29 +++++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/ci/ci.sh b/ci/ci.sh
new file mode 100755
index 000000000..fc523d8f5
--- /dev/null
+++ b/ci/ci.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -evuo pipefail
+
+# Use podman if available, otherwise use docker.
+# Fails if neither is found in PATH
+OCI_RUNTIME=$(which podman || which docker)
+REPO_NAME=$(basename "${PWD}")
+JOB_NAME="${1}"
+JOB_CONTAINER=$((grep CONTAINER_NAME ci/jobs/${JOB_NAME}/config.ini | cut -d'
' -f 3) || echo "${REPO_NAME}")
+
+echo "${JOB_CONTAINER}"
+
+if [ "${JOB_CONTAINER}" = "${REPO_NAME}" ] ; then
+ "${OCI_RUNTIME}" build \
+ -t "${JOB_CONTAINER}" \
+ -f ci/Containerfile .
+fi
+
+"${OCI_RUNTIME}" run \
+ --rm \
+ -ti \
+ --volume "${PWD}":/workdir \
+ --workdir /workdir \
+ "${JOB_CONTAINER}" \
+ ci/jobs/"${JOB_NAME}"/job.sh
+
+top_dir=$(dirname "${BASH_SOURCE[0]}")
+
+#"${top_dir}"/build.sh
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.